libeconf 0.7.1

Public Attributes
econf_ext_value Struct Reference

`#include <libeconf_ext.h>`

## Public Attributes
char ** | values
| Values of a given key in form of a string array. More...
char * | file
| Path of the configuration file where this value has been read. More...
uint64_t | line_number
| Line number of the configuration key/value. More...
char * | comment_before_key
| Comment before the key/value entry. More...
char * | comment_after_value
| Comment after the value entry. More...

## Detailed Description

Definition at line 37 of file libeconf_ext.h.

## Member Data Documentation

## ◆ values

char** econf_ext_value::values

Values of a given key in form of a string array.

Definition at line 39 of file libeconf_ext.h.

## ◆ file

char* econf_ext_value::file

Path of the configuration file where this value has been read.

Definition at line 41 of file libeconf_ext.h.

## ◆ line_number

uint64_t econf_ext_value::line_number

Line number of the configuration key/value.

Definition at line 43 of file libeconf_ext.h.

## ◆ comment_before_key

char* econf_ext_value::comment_before_key

Comment before the key/value entry.

Definition at line 45 of file libeconf_ext.h.

## ◆ comment_after_value

char* econf_ext_value::comment_after_value

Comment after the value entry.

Definition at line 47 of file libeconf_ext.h.

The documentation for this struct was generated from the following file:

- include/libeconf_ext.h